
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 转让订单管理
 */

import { request } from '../index'

// 订单列表
const lists = data => {
	return request({
		url		: 'app/transfers',
		data
	})
}

// 可转让对象
const levels = id => {
	return request({
		url: 'app/transfer/' + id + '/levels',
	})
}

// 转让
const transfer = (id, level) => {
	return request({
		url	: 'app/' + id + '/transfer',
		data: {
			level
		},
		method: 'POST'
	})
}

// 接收订单
const transferAgree = id => {
	return request({
		url	: 'app/' + id + '/agree',
		method: 'POST'
	})
}

// 拒绝接收
const transferRefuse = id => {
	return request({
		url	: 'app/' + id + '/refuse',
		method: 'POST'
	})
}

export {
	lists,
	levels,
	transfer,
	transferAgree,
	transferRefuse
}
